aboutsummaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:44:56 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-10-31 22:44:56 +1300
commit3e540185b71e7a3bfa9348a13691bf40569a06aa (patch)
tree2e9869aa47c4250121438d480c8386122a2e9f60 /check
parentAdd option terminators to some stray `set` calls (diff)
downloaddotfiles-3e540185b71e7a3bfa9348a13691bf40569a06aa.tar.gz
dotfiles-3e540185b71e7a3bfa9348a13691bf40569a06aa.zip
Check and lint URxvt Perls correctly
Require that the URxvt Perls are built correctly. There's only one at the moment, so I'll make that the single prerequisite for the `check-urxvt` target.
Diffstat (limited to 'check')
-rw-r--r--check/urxvt.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/check/urxvt.sh b/check/urxvt.sh
index ee39e6c9..9fff4502 100644
--- a/check/urxvt.sh
+++ b/check/urxvt.sh
@@ -1,4 +1,5 @@
-for perl in urxvt/ext/*.pl ; do
- perl -c "$perl" || exit
+set -- urxvt/ext/*.pl
+for perl ; do
+ perl -c "${perl%.pl}" || exit
done
-printf 'All Perl scripts in urxvt/ext parsed successfully.\n'
+printf 'URxvt Perl extensions parsed successfully.\n'